#ifndef _DUAL_CORE_DS5_H
#define _DUAL_CORE_DS5_H

#define UNLOCK      0x00
#define CORE0_LOCK  0x01
#define CORE1_LOCK  0x02
#define ILL_LOCK    0x03

void led_blink_tower(uint32_t blinks);
void start_m4(void);
void hello_A5(void);
void device_init(void);
void time_delay_local(uint32_t delay_cnt);

extern void dma1_isr_routine(void);
extern void default_isr(void);
extern void abort_isr(void);
extern void lptmr_isr_example(void);
extern void pdb_isr_routine(void);
extern void adc0_isr_routine(void);
extern void adc1_isr_routine(void);
extern void srtc_isr_routine(void);
extern void dac0_isr_routine(void);
extern void dac1_isr_routine(void);
extern void dma0_isr_routine(void);
extern void dma1_isr_routine(void);

#endif /* _DUAL_CORE_DS5_H */
